import request_blob from '@/utils/request_blob'

// 医院普通检索下载
export function bassNormalSearchDownload(data) {
  return request_blob({
    url: `/bass/normalSearchExport`,
    method: 'get',
    responseType: 'blob',
    params: data
  })
}

// 医院高级检索下载
export function bassHighSearchDownload(data) {
  return request_blob({
    url: `/bass/search_result_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 科室病历导出
export function depBlExport(data) {
  return request_blob({
    url: `/bazb/dep_bl_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 门诊病历导出
export function outHospitalExport(data) {
  return request_blob({
    url: `/api/omr_zk/error_list_export`,
    method: 'post',
    responseType: 'blob',
    data
  })
}

// 病按首页导出
export function medicalRecordExport(data) {
  return request_blob({
    url: `/api/qualityList`,
    method: 'post',
    responseType: 'blob',
    data
  })
}
// 病按首页导出
export function doctorAdviceExport(data) {
  return request_blob({
    url: `/bass/yz/serachExport`,
    method: 'post',
    responseType: 'blob',
    data
  })
}